
fluidRow(
    box(title = strong("Fold Change Analysis (FC)"), solidHeader = T, status = "warning", width=12,collapsible=T,
        p("FC is to compare the absolute value change between means of two groups. Given a metabolite, fold change was 
          calculated as the ratio of the mean metabolite levels between two groups.A threshold needs to be defined, if 
          fold change value exceeds this threshold, the variable will be reported as significant. FC has been widely 
          applied in metabolomics analysis to predict survival of patients with metastatic colorectal cancer (",
          span(a(em("Cancer Res.")," 2012. 72(1): 356-64",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/22080567",target="_black")),
          "), and detect changes in the metabolomic profiles of men before and after androgen deprivation therapy for prostate cancer (",
          span(a(em("Clin Cancer Res.")," 2012. 18(13): 3677-85", style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/22589396",target="_black")), ").", 
          style = "color: black; font-size: 17px"
        )
        
      #withMathJax(helpText(span(em("i.e,")), "$$FC = A - B$$", style = "color:black; font-size:17px"))
  ), 
  conditionalPanel("output.ShowUI",
      box(title = strong("Fold Change for most significant metabolites"), solidHeader = T, status = "info", width = 12, collapsible=T,
          #(source("src/uicontrol/waitingPrompt.R",local=T)$value),
          conditionalPanel("!output.FC_table",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
          fluidRow(
              column(2, 
                     selectInput(
                         "topNum", "Top n features",
                         c(10, 20, 50), selected = 10)
              ), 
              column(2,
                     selectInput(
                         "tailNum", "Last n features",
                         c(10, 20, 50), selected = 10)
          )), 
          
          
          downloadButton('FC_plot_head_down', 'Download'),
          #p(strong("Figure 1. Fold Change for Top 10 metabolites"), style = "color:black; font-size:16px", align = "center"),
          plotOutput("FC_plot_head"), 
          downloadButton('FC_plot_tail_down', 'Download'),
          plotOutput("FC_plot_tail")
          ), 
      box(title=strong("Results for Fold Change Analysis of All Metabolites"), solidHeader = T, status = "info", width=12, collapsible=T,
          downloadButton('FC_table_down', 'Download'), 
          #p(strong("Table 1. Results for Fold Change Analysis of All Metabolites"), style = "color:black; font-size:16px", align = "center"),
          br(), br(), 
          DT::dataTableOutput("FC_table"))
  ),
  conditionalPanel("!output.ShowUI",
                   box(title=NULL,solidHeader=F,width=12,
                       strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                              style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                   )
  ),
  source("src/uicontrol/page_tail.R",local=T)$value
)
