
fluidRow(
    box(title = strong("Relief"), solidHeader = T,status = "warning",width = 12,collapsible=T,
        p("Relief is a multivariate filter approach. The values of a significant attribute are correlated with 
          the attribute values of an instance of the same class, and uncorrelated with the attribute values of an instance 
          of the other class. Relief has been applied to explore the association between taste and metabolite 
          profiles of Japanese refined sake (",
          span(a(em("J Agric Food Chem.")," 2010. 58(1): 374-83",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/19961224",target="_black")),
          "), and identify metabolic markers in prostate cancer (",
          span(a(em("Bioinformatics.")," 2008. 24(24): 2908-14",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/18815183",target="_black")), ").", 
          style = "color: black; font-size: 17px"
          )
        
        ),
    
    conditionalPanel("output.ShowUI",
                     box(title=strong("The Resulting Dataset Table Generated by Genetic Algorithm"), solidHeader = T, status = "info", width=12,  collapsible=T, 
                         (source("src/uicontrol/waitingPrompt.R",local=T)$value), 
                         fluidRow(
                             column(width=2, numericInput("k_min", "kmin", value = 2, min = 2, max = 100)), 
                             column(width=2, numericInput("k_max", "kmax", value = 10, min = 3, max = 100)), 
                             column(width=2, numericInput("n_ger", "nger", value = 20, min = 10, max = 100)), 
                             column(width=2, numericInput("p_mut", "mutprob", value = 0.05, min = 0.01, max = 0.2)), 
                             column(width=2, numericInput("n_clone", "maxclone", value = 5, min = 2, max = 10)), 
                             column(width=2, selectInput("cri_CV", "criterion", choices = c("Rm", "Rv", "Gcd", "Tau2", "Xi2", "Zeta2", "ccr12", "Wald"), selected = "Rv"))
                         ), 
                         
#                         actionButton("ga_submit", label="Run"), 
#                         uiOutput("svmrfe_link")
                         
                         p(strong("Table 1. Results for Genetic algorithm"), style = "color:black; font-size:16px", align = "center"),
                         p(verbatimTextOutput("ga_text"), style = "color: black; font-size: 17px")
                     )
    ),
    conditionalPanel("!output.ShowUI",
                     box(title=NULL, solidHeader=F, width=12,
                         strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                                style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                     )
    ),
    source("src/uicontrol/page_tail.R",local=T)$value
    
    )




