fluidRow(
  box(title = strong("Linear Model and Emperical Bayes Method (LMEB)"), 
      solidHeader = T, status = "warning", width = 12,collapsible=T,
      p("LMEB is used to assess differential amount in metabolites by drawing volcano plot. Volcano plot measures 
        differentially accumulated features based on t statistics and fold changes simultaneously. LMEB has been 
        applied to find out metabolomic characterization of knockout mutants in Arabidopsis (",
        span(a(em("Plant Physiol.")," 2014. 165(3): 948-961",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/24828308",target="_black")), ").", 
        
        style = "color: black; font-size: 17px"
      )  
      
  ),
  conditionalPanel("output.ShowUI",
      box(title = strong("The volcano plot for result of Linear Model with Emperical Bayes"), solidHeader = T, status = "info", width = 12, collapsible=T,
          #(source("src/uicontrol/waitingPrompt.R",local=T)$value),
          conditionalPanel("!output.LMEB_table",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
          
          fluidRow(
              column(width=3, selectInput("pvalue", "P Value Cutoff", c("0.05", "0.01", "0.005", "0.001"))),
              column(width=3, numericInput("foldchange", "log-Fold Change", value=1, min = 0, max = 10)) 
          ), 
          
          downloadButton('LMEB_plot_down', 'Download'), 
          #p(strong("Figure 1. The volcano plot for result of Linear Model with Emperical Bayes"), style = "color:black; font-size:16px", align = "center"),
          plotOutput("LMEB_plot")
      ),
      box(title=strong("The Resulting Dataset Table Generated by LMEB"), solidHeader = T, status = "info", width=12, collapsible=T,
          downloadButton('LMEB_table_down', 'Download'), 
          #p(strong("Table 1. Results for Linear Model with Emperical Bayes"), style = "color:black; font-size:16px", align = "center"), 
          br(), br(), 
          DT::dataTableOutput("LMEB_table")
      )
  ),
  conditionalPanel("!output.ShowUI",
                   box(title=NULL,solidHeader=F,width=12,
                       strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                              style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                   )
  ),
  source("src/uicontrol/page_tail.R",local=T)$value
)
