fluidRow(
  box(title = strong("SAM technique"), solidHeader = T, status = "warning",width = 12,collapsible=T,
      p("SAM is a permutation-based (non-parametric) hypothesis testing method for the identification of molecular 
        quantities that differ significantly between two measurement sets that represent different physiological conditions. 
        SAM has been applied to reveal alterations in cerebellar metabolic physiology in mouse model of adult onset hypothyroidism (",
        span(a(em("J Proteome Res.")," 2011. 10(2): 869-79",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/21028881",target="_black")),
        ") and decipher the host's varied response to balofloxacin-resistant", em("Escherichia coli"), "(", 
        span(a(em("Sci Rep.")," 2015. 5: 10720",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/26030712",target="_black")), ").", 
        style = "color: black; font-size: 17px"
      )
      
  ),
  
  conditionalPanel("output.ShowUI",
      box(title = strong("The Resulting Analysis Figures Generated by SAM", style = "color:white; font-family: times"), solidHeader = T, status = "info", width = 12, collapsible=T,
          #(source("src/uicontrol/underConstruction.R")$value)
          conditionalPanel("!output.SAM_plot",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
           downloadButton('SAM_plot_down', 'Download'), 
           p(strong("Figure 1. Visulization for Differentially Expressed Metabolites"), style = "color:black; font-size:16px", align = "center"),
           plotOutput("SAM_plot"), 
           br(), br(), 
           p(strong("Selecting dalta value and computing the significance:"), style = "color:blue; font-size:16px"),
           #br(),
          
           fluidRow(
             #numericInput("delta_value", "Delta =", value = 0.5, min = 0, max = 100),
             column(width=2, numericInput("delta_value", "Delta =", value = 0.5, min = 0, max = 100, step = 0.5)),
              
             br(),
             br(),
             br(),
             br()
             #column(width=3, actionButton("compute", "Compute_Significant"))
             ),
           actionButton("compute", "Compute Significance"),
           plotOutput("SAM_plot2")

          )
#       box(title=strong("The Resulting Dataset Table Figures Generated by SAM", style = "color:black; font-family: times"), solidHeader = T, status = "info", width=12,  collapsible=T,
#           downloadButton('SAM_table_down', 'Download'), 
#           p(strong("Table 1. Results for SAM technique"), style = "color:black; font-size:16px", align = "center"),
#           DT::dataTableOutput("SAM_table"))
  ),
  conditionalPanel("!output.ShowUI",
                   box(title=NULL,solidHeader=F,width=12,
                       strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                              style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                   )
  ),
  source("src/uicontrol/page_tail.R",local=T)$value
  
)
