
fluidRow(
  box(title = strong("Wilcoxon Rank-Sum Test with Permutation"), solidHeader = T, status = "warning", width = 12,collapsible=T,
      p("Wilcoxon is based solely on the order in which the observations from two samples fall. Wilcoxon has been 
        applied to delineate role for sarcosine in prostate cancer progression (",
        span(a(em("Nature.")," 2009. 457(7231): 910-4",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/19212411",target="_black")),
        "), and reveal metabolic tissue biomarkers for gastric cancer (",
        span(a(em("Oncol Rep.")," 2011. 26(2): 431-8",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/21567103",target="_black")), ").",
        style = "color: black; font-size: 17px"
      )
  ),
  conditionalPanel("output.ShowUI",
###     Graph is not provided currently!                   
#       box(title = strong("Result 1 - Graphic Output"), solidHeader = T, status = "info", width = 12, collapsible=T,
#           box(title = strong("Figure 1. plot", style = "color:black; font-size:16px"), solidHeader = FALSE, width = 6, 
#               downloadButton('WRST1_plot_down', 'Download'), 
#               br(), 
#               plotOutput("WRST1_plot", height = 500)), 
#           box(title = strong("Figure 2. plot"), solidHeader = FALSE, width = 6, 
#               downloadButton('WRST2_plot_down', 'Download'), 
#               br(), 
#               plotOutput("WRST2_plot", height = 500))
#           
#       ), 
      
      box(title=strong("Results for Wilcoxon Rank-Sum Test with Permutation"), solidHeader = T, status = "info", width=12,  collapsible=T,
          #(source("src/uicontrol/waitingPrompt.R",local=T)$value),
          conditionalPanel("!output.WRST_table",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
          
          fluidRow(
              column(2, 
                     selectInput(
                         "permType", "Permutation Type",
                         c(Exact_test = "exact",
                           Asymptotic = "asymptotic", 
                           Approximate = "approximate"), selected = "approximate")
                     ), 
              column(2, 
                     # Only show this panel if the permutation type is a exact test.
                     conditionalPanel(
                         condition = "input.permType == 'approximate'",
                         selectInput(
                             "permtimes", "Times",
                             c(99, 999, 9999), selected = 99))
                     )
          ), 
          
          downloadButton('WRST_table_down', 'Download'), 
          br(),
          
          p(strong("Table 1. Results for Wilcoxon Rank-Sum Test with Permutation"), style = "color:black; font-size:16px", align = "center"),  
          DT::dataTableOutput("WRST_table")
      )
  ),
  conditionalPanel("!output.ShowUI",
                   box(title=NULL,solidHeader=F,width=12,
                       strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                              style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                   )
  ),
  source("src/uicontrol/page_tail.R",local=T)$value
)




#conditionalPanel("input.annotaDB=='metlin' && input.ionMode=='pos'",
#                 #helpText("METLIN positive"),
#                 checkboxGroupInput(inputId="chargeMP", label = "Charge:", 
#                                    choices = list("M+H-2H2O"= 1,"M+H-H2O"= 2,"M-H"= 3,
#                                                   "M-H2O+NH4"= 4,"M+H"= 5,"M+Li"= 6,
#                                                   "M+NH4"= 7,"M+Na"= 8,"M+CH3OH+H"= 9,
#                                                   "M+K"= 10,"M+ACN+H"= 11,"M+2Na-H"= 12,
#                                                   "M+ACN+Na"= 13,"M+2H"= 14,"M+H+Na"= 15,
#                                                   "M+2Na"= 16,"M+3H"= 17,"M+2H+Na"= 18,
#                                                   "M+H+2Na"= 19),
#                                    inline=T)
#)
#conditionalPanel("input.annotaDB=='metlin' && input.ionMode=='neg'",
#                 #helpText("METLIN negative"),
#                 
#                 checkboxGroupInput(inputId="chargeMN", label = "Charge:", 
#                                    choices = list("M-H2O-H"=1,"M-H"=2,"M+F"=3,
#                                                   "M+Na-2H"=4,"M+Cl"=5,"M+K-2H"=6,
#                                                   "M+FA-H"=7,"M+CH3COO"=8,"M-2H"=9,"M-3H"=10),
#                                    inline=T)
#)

