fluidRow(
      box(title = strong("Chi-squared test"), solidHeader = T, status = "warning", width = 12,collapsible=T,
          p("Chi-squared test is a filter-based feature ranking technique used to examine the distribution of the class 
            as it relates to the values of the feature in question. Chi-squared test has been applied in a targeted 
            metabolomics study to associate obstructive coronary artery disease with lower epoxyeicosatrienoic acids metabolite levels (",
            span(a(em("J Lipid Res.")," 2015. pii: jlr.M061697",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/26555503",target="_black")), ").", 

            style = "color: black; font-size: 17px"
          )
          
      ),
    conditionalPanel("output.ShowUI",
      box(title = strong("Importance Score of all Metabolites"), solidHeader = T, status = "info", width = 12, collapsible=T,
          #(source("src/uicontrol/waitingPrompt.R",local=T)$value),
          conditionalPanel("!output.CHIS_table",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
          downloadButton('CHIS_plot_down', 'Download'), 
          plotOutput("CHIS_plot")), 
      box(title=strong("The Resulting Dataset Table Generated by Chi-squared Test"), solidHeader = T, status = "info", width=12,  collapsible=T,
          downloadButton('CHIS_table_down', 'Download'), 
          #p(strong("Table 1. Results for Chi-squared test"), style = "color:black; font-size:16px", align = "center"), 
          DT::dataTableOutput("CHIS_table"))
    ),
    conditionalPanel("!output.ShowUI",
                     box(title=NULL,solidHeader=F,width=12,
                         strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                                style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                     )
    ),
    source("src/uicontrol/page_tail.R",local=T)$value
)
