fluidRow(
     box(title = strong("Correlation-based Feature Selection (CFS)"), solidHeader = T, status = "warning", width = 12,collapsible=T,
             p("CFS is a simple filter algorithm able to assess subsets of attributes rather than individual variables. 
               Its evaluation mechanism relies on both the predictive power of a given variable and its degree of 
               correlation with other features included in the selected subset. CFS has been applied to classify urine 
               metabolome profiles for breast cancer diagnosis (",
               span(a(em("BMC Bioinformatics.")," 2010. 11 Suppl 2: S4",style="color:blue", href="http://www.biomedcentral.com/1471-2105/11/S2/S4/",target="_black")), ").", 
              
               style = "color: black; font-size: 17px"
             )
         
         ),
     
     conditionalPanel("output.ShowUI",
         box(title = strong("The Resulting Figures Generated by Correlation-based Feature Selection"), solidHeader = T, status = "info", width = 12, collapsible=T,height = 925,
             conditionalPanel("!output.CFS_table",
                              (source("src/uicontrol/waitingPrompt.R", local=T)$value)
             ),
             
             downloadButton('cor_plot_down', 'Download'), 
             br(), br(), 
             #p("Click here to download the correlation coefficient plot between samples.", 
             #style = "color: black; font-size: 16px"),  
             fluidRow(
                 column(3, selectInput("CC", "Correlation coefficient", c("pearson", "spearman", "kendall"), selected = "spearman"))
             ),
             


             plotOutput("cor_plot", width = "100%")
         ),
         box(title=strong("The Resulting Dataset Table Generated by Correlation-based Feature Selection"), solidHeader = T, status = "info", width=12, collapsible=T,
             downloadButton('CFS_table_down', 'Download'), 
             p(strong("Table 1. Results for Correlation feature selection"), style = "color:black; font-size:16px", align = "center"),
             DT::dataTableOutput("CFS_table")
         )
     ),
     conditionalPanel("!output.ShowUI",
                      box(title=NULL,solidHeader=F,width=12,
                          strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                                 style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                      )
     ),
     source("src/uicontrol/page_tail.R",local=T)$value
)
