fluidRow(
    box(title = strong("Entropy-based Filters"), solidHeader = T, status = "warning", width = 12,collapsible=T,
        p("Entropy-based Filters are filter-based feature ranking techniques which include three classes: information gain (IG), 
          gain ratio (GR) and symmetrical uncertainty (SU). IG selects features on the basis of the information contribution 
          related to the class variable without considering feature interactions. GR is the non-symmetrical measure that 
          is introduced to compensate for the bias of the IG. SU criterion compensates for the inherent bias of IG. Entropy-based 
          Filters have been applied to characterize metabolites in infiltrating gliomas (",
          span(a(em("NMR Biomed.")," 2014. 27(5): 578-93",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/24596146",target="_black")),
          "), and discover wound metabolic biomarkers in Arabidopsis thaliana (",
          span(a(em("Chemometrics and Intelligent Laboratory Systems.")," 2010. 104(1): 20-7",style="color:blue", href="http://www.sciencedirect.com/science/article/pii/S0169743910000341",target="_black")), ").", 
          style = "color: black; font-size: 17px"
        )
    ),
    
    conditionalPanel("output.ShowUI",
        box(title=strong("The Resulting Dataset Table Generated by Entropy-based Filters"), solidHeader = T, status = "info", width=12, collapsible=T,
             #(source("src/uicontrol/waitingPrompt.R",local=T)$value),
            conditionalPanel("!output.entropy_table",
                             (source("src/uicontrol/waitingPrompt.R", local=T)$value)
            ),
            
             downloadButton('entropy_table_down', 'Download'), 
            br(), br(), 
             #p(strong("Table 1. Results for Entropy-based methods"), style = "color:black; font-size:16px", align = "center"),
             DT::dataTableOutput("entropy_table"))
    ),
    conditionalPanel("!output.ShowUI",
                     box(title=NULL,solidHeader=F,width=12,
                         strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                                style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                     )
    ),
    source("src/uicontrol/page_tail.R",local=T)$value
)
