
fluidRow(
  box(title = strong("Relief"), solidHeader = T,status = "warning",width = 12,collapsible=T,
      p("Relief is a multivariate filter approach. The values of a significant attribute are correlated with 
        the attribute values of an instance of the same class, and uncorrelated with the attribute values of an instance 
        of the other class. Relief has been applied to explore the association between taste and metabolite 
        profiles of Japanese refined sake (",
        span(a(em("J Agric Food Chem.")," 2010. 58(1): 374-83",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/19961224",target="_black")),
        "), and identify metabolic markers in prostate cancer (",
        span(a(em("Bioinformatics.")," 2008. 24(24): 2908-14",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/18815183",target="_black")), ").", 
        style = "color: black; font-size: 17px"
      )
      
      
  ),
  
  conditionalPanel("output.ShowUI",
      box(title=strong("The Resulting Dataset Table Generated by RELIEF Algorithm"), solidHeader = T, status = "info", width=12,  collapsible=T, 
          conditionalPanel("!output.relief_table",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
          fluidRow(
              column(width=3, numericInput("nc_value", "neighbours.count", value = 5, min = 1, max = 100000)), 
              column(width=3, numericInput("ss_value", "sample.size", value = 20, min = 3, max = 1000))
          ), 
          #(source("src/uicontrol/underConstruction.R")$value)
          

           downloadButton('relief_table_down', 'Download'),
          
           
           p(strong("Table 1. Results for Relief / ReliefF"), style = "color:black; font-size:16px", align = "center"),
           #tableOutput("relief_table")
           DT::dataTableOutput("relief_table")
      )
  ),
  conditionalPanel("!output.ShowUI",
                   box(title=NULL, solidHeader=F, width=12,
                       strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                              style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                   )
  ),
  source("src/uicontrol/page_tail.R",local=T)$value
  
)
