fluidRow(
  box(title = strong("Student t-Test", style = "color:white"), solidHeader = T, status = "warning", width = 12,collapsible=T,
          p("Student t-Test is a statistical hypothesis test in which the test statistic follows a Student's t-distribution 
            if the null hypothesis is supported. Student t-Test has been widely applied in metabolomics analysis to predict early-onset preeclampsia (",
            span(a(em("Am J Obstet Gynecol.")," 2015. 213(4): 530. e1-530.e10",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/26116099",target="_black")),
            "), and determinate the untargeted metabolomic profile (",
            span(a(em("Front Bioeng Biotechnol.")," 2015. 3: 23",style="color:blue", href="http://www.ncbi.nlm.nih.gov/pubmed/25798438",target="_black")), ").", 
            
            style = "color: black; font-size: 17px"
          )
      ),
  
  conditionalPanel("output.ShowUI",
      box(title = strong("Significant score of all Metabolites"), solidHeader = T, status = "info", width = 12, collapsible=T,
          #(source("src/uicontrol/waitingPrompt.R",local=T)$value),
          conditionalPanel("!output.TT_table",
                           (source("src/uicontrol/waitingPrompt.R", local=T)$value)
          ),
          
          
          fluidRow(
              column(width=3, selectInput("Comptype", "Comparison Type", c("unequal variances", "equal variances"), selected = "unequal variances")), 
              column(width=3, selectInput("pvaluetype", "Adjusted P Value", c(0.05, 0.01, 0.005, 0.001), selected = 0.05))
          ), 
          
          downloadButton('TT_plot_down', 'Download'), 
          plotOutput("TT_plot")), 
      box(title=strong("The Resulting Dataset Table of T-test"), solidHeader = T, status = "info", width=12,  collapsible=T,
          downloadButton('TT_table_down', 'Download'), 
          br(), br(), 
          #p(strong("Table 1. Results for t-test"), style = "color:black; font-size:16px", align = "center"), 
          DT::dataTableOutput("TT_table"))
  ),
  conditionalPanel("!output.ShowUI",
                   box(title=NULL,solidHeader=F,width=12,
                       strong("Please upload your data in the ",span("'Data Upload/Integration'",style="text-decoration:underline"), "panel.", 
                              style = "color:rgba(255, 36, 0, 0.9); font-size: 17px")
                   )
  ),
  source("src/uicontrol/page_tail.R",local=T)$value
)
